function p = makeproblem
% make a full problem:
% All parameters and all ICs
% You set them:   top half of code, or
% This function makes a random problem

% Make up a problem, below

p.x0      = [1 -sqrt(2) 1]';
p.v0      = [0 0 0]';
p.F       = [0 0 0]';
p.omega_f = 0;

p.K = [ 2 -1  0; 
       -1  2 -1;
        0 -1  2];

p.C = [ 0 0 0; 
        0 0 0;
        0 0 0];

p.M = [1 0 0
       0 1 0;
       0 0 1];






% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% %Make a random forced vibration problem
% n = 7; 
% p.x0      = rand(n,1);
% p.v0      = rand(n,1);
% p.F       = rand(n,1);
% p.omega_f = 3*rand(1);
% 
% %Random rotations
% A=orth(rand(n));B=orth(rand(n));D=orth(rand(n));
% 
% p.M = A'*diag(rand(n,1))*A;
% p.C = B'*diag(rand(n,1))*B/2;
% p.K = D'*diag(rand(n,1))*D;







end

