function zdot = myrhs(t,z,p)
n = length(z)/2;
x = z(1:n); v= z(n+1:end);


M = p.M; C=p.C; K = p.K; F = p.F; omega_f = p.omega_f;


xdot = v;

vdot = M^(-1) * (-C*v - K*x + F*sin(omega_f*t));

zdot= [xdot; vdot];
end